hmt-0.15: Haskell Music Theory

Safe Haskell | Safe
Language | Haskell98

Music.Theory.Tuning.Alves

Description

Bill Alves.

Synopsis

- harrison_ditone_r :: [Rational]
- harrison_ditone :: Tuning

# Documentation

harrison_ditone_r :: [Rational] Source #

Ratios for `harrison_ditone`.

    let c = [0,114,204,294,408,498,612,702,816,906,996,1110]
    in map (round . ratio_to_cents) harrison_ditone_r == c

harrison_ditone :: Tuning Source #

Ditone/pythagorean tuning, see http://www.billalves.com/porgitaro/ditonesettuning.html

    cents_i harrison_ditone == [0,114,204,294,408,498,612,702,816,906,996,1110]